body {
    margin: 0;
    font-family: sans-serif;
}

.main-header {
    padding: 20px 0;
    position: sticky;
    top: 0;
    z-index: 1000;
}

.nav-wrapper {
    background: #f5f5f5;
    border-radius: 60px;
    padding: 15px 25px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.logo img {
    height: 40px;
}

.desktop-menu li {
    cursor: pointer;
    font-weight: 500;
}

.cta-btn a {
    background: #f5a623;
    padding: 10px 20px;
    border-radius: 25px;
    text-decoration: none;
    color: #fff;
    font-weight: bold;
}

.hamburger {
    display: none;
    font-size: 24px;
    cursor: pointer;
}

.mobile-menu {
    position: fixed;
    top: 0;
    right: -100%;
    width: 80%;
    height: 100%;
    background: #fff;
    padding: 20px;
    transition: 0.3s;
    z-index: 99999;
    overflow-y: scroll;
}

.mobile-menu.active {
    right: 0;
}

.mobile-header {
    display: flex;
    justify-content: flex-end;
    font-size: 24px;
    cursor: pointer;
}

.mobile-menu ul {
    list-style: none;
    padding: 0;
    margin-top: 20px;
}

.mobile-menu li {
    padding: 15px 0;
    border-bottom: 1px solid #ddd;
    display: flex;
    justify-content: space-between;
}

.mobile-btn {
    display: block;
    margin-top: 20px;
    text-align: center;
    background: #f5a623;
    padding: 12px;
    border-radius: 20px;
    color: #fff;
    text-decoration: none;
}

.desktop-menu ul {
    display: flex;
    align-items: center;
    list-style: none;
    gap: 30px;
    margin: 0;
}

.dropdown {
    margin-top: 100px;
    text-align: center;
    display: none !important;
    position: absolute !important;
    background-color: #ffffff;
    padding: 15px;
    border-radius: 15px;
    transform: translateX(-42%);
}

.has-dropdown:hover .dropdown {
    display: block !important;
}

.dropdown li {
    padding: 10px 20px;
    border-bottom: 1px solid #ddd;
}

.menu-toggle {
    padding: 15px 0;
    border-bottom: 1px solid #ddd;
}

.submenu {
    display: none;
}

.submenu-1 {
    margin-top: -20px !important;
}

.submenu li {
    padding-left: 15px;
}

.why-section {
    padding: 50px 0;
    background: #f5f7fa;
}

.why-card {
    text-align: center;
    background: #FFFFFF;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.08);
    color: #fff;
    padding: 20px;
    border-radius: 15px;
    height: 100%;
    transition: 0.3s;
}

.why-card .icon {
    font-size: 30px;
    min-width: 40px;
}

.why-card .title {
    color: #F97316;
    font-size: 18px;
    margin-bottom: 5px;
    font-weight: 600;
}

.why-card p {
    color: #000;
    font-size: 14px;
    opacity: 0.85;
}

.why-card img {
    width: 60px;
    margin-bottom: 15px !important;
}

.why-card:hover {
    transform: translateY(-5px);
    background: #f8f8f881;
}

.about-section {
    position: relative;
    padding: 80px 0 120px 0;
    background: #eef2f5;
}

.about-images {
    position: relative;
}

.img-main img {
    width: 80%;
    border-radius: 20px;
}

.img-overlay {
    position: absolute;
    bottom: -80px;
    right: -40px;
    width: 60%;
}

.img-overlay img {
    width: 80%;
    border-radius: 20px;
    border: 5px solid #fff;
}

.about-text {
    padding-left: 30px;
}

.small-title {
    font-size: 14px;
    color: #666;
}

.about-text h3 {
    color: #F97316 !important;
    font-weight: 700;
    margin: 10px 0 15px;
}

.about-text p,
.about-text ul li {
    font-size: 14px;
    color: #555;
}

.btn-about {
    display: inline-block;
    margin-top: 15px;
    padding: 10px 20px;
    border-radius: 20px;
    text-decoration: none;
}

.about-section button {
    border-radius: 50px !important;
    border: 3px solid #F97316 !important;
    color: #F97316 !important;
    font-weight: 500 !important;
}

.about-section a {
    padding-top: 12px !important;
    background-color: #F97316 !important;
    color: #ffffff !important;
    font-weight: 500 !important;
    border-radius: 50px !important;
}

.cooperation img {
    border-radius: 50%;
    width: 15% !important;
}

.vision-section {
    padding: 80px 20px;
    background: #f5f5f5;
}

h2,
h3,
h4,
h5 {
    font-size: 24px !important;
    font-weight: 700 !important;
    color: #1f2a44;
}

.vision-section p,
.vision-section ul li {
    font-size: 14px;
}

.vision-section ul li {
    font-weight: 600;
}

.visi-box,
.misi-box {
    max-width: 500px;
}

.title {
    font-weight: 700;
    margin-bottom: 15px;
}

.visi-box p {
    line-height: 1.7;
    color: #333;
}

.misi-box ul {
    padding-left: 20px;
}

.misi-box li {
    margin-bottom: 10px;
    line-height: 1.7;
}

.footer-dark {
    background: #fa7e0f;
    color: #FFF5E6;
    padding: 60px 20px 0;
}

.footer-logo {
    max-width: 180px;
}

.company-name {
    color: #000000;
    font-weight: 700;
}

.partners {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    justify-content: center;
}

.partners img {
    height: 35px;
    object-fit: contain;
}

.btn-whatsapp {
    display: inline-block;
    background: #3aa82c;
    color: #000;
    padding: 12px 30px;
    border-radius: 30px;
    font-weight: bold;
    text-decoration: none;
    margin-top: 10px;
}

.socials i {
    font-size: 20px;
    margin-right: 10px;
    cursor: pointer;
}

.footer-nav {
    background: #C2410C;
    padding: 15px 0;
    font-weight: 500;
    margin-top: 40px;
}

.footer-nav a {
    color: #FFF5E6;
    margin: 0 10px;
    text-decoration: none;
    font-size: 14px;
}

.footer-nav a:hover {
    color: #fff;
}

.footer-bottom {
    background: #7C2D12;
    font-weight: 500;
    font-size: 13px;
}

.button-wa {
    position: fixed;
    bottom: 10%;
    right: 5%;
    z-index: 1000;
    display: block;
    text-align: right;
}

.button-wa a {
    background-color: #25D366;
    color: #000000;
    border-radius: 15px;
    padding: 5px 20px;
}

.button-wa:hover {
    cursor: pointer;
}

.button-wa .popup-cta {
    width: 350px;
    display: none;
    background-color: #ffffff;
    margin-bottom: 20px;
    border-radius: 10px;
    padding-bottom: 10px;
}

#waIcon {
    transition: opacity .4s ease;
}

.button-wa .popup-cta .admin-item {
    background-color: #dddddd;
    margin: 10px;
    border-radius: 10px;
    padding: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.button-wa .popup-cta .popup-text {
    text-align: center;
    background-color: #045323;
    color: #ffffff;
    border-radius: 10px 10px 0 0;
    padding: 10px;
}

.button-wa .popup-cta .popup-text p {
    font-size: 14px;
}

.button-wa .popup-cta .admin-item span {
    text-align: center;
    display: block;
}

.button-wa .popup-cta .admin-item img {
    width: 50px;
    border-radius: 50%;
}

.button-wa img {
    width: 60px;
}

.button-wa .cta-wa {
    background-color: #045323;
    padding: 5px 0 5px 10px;
    border-radius: 20px;
    color: #ffffff;
    font-weight: 600;
}

.therapist-card {
    background: #fff;
    border-radius: 16px;
    padding: 30px;
    text-align: center;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08);
}

.carousel-control-prev,
.carousel-control-next {
    width: 40px;
    height: 40px;
    background: orange;
    border-radius: 50%;
    top: 50%;
    transform: translateY(-50%);
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    filter: invert(1);
}

.therapist-img {
    width: 240px;
    height: 240px;
    object-fit: cover;
    margin-top: -100px;
    border-radius: 50%;
    border: 4px solid white;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

.card-wrapper {
    padding-top: 80px;
}

.therapist-name {
    font-size: 24px;
    font-weight: 600;
    margin-top: 10px;
}

.therapist-list {
    text-align: left;
    font-size: 14px;
    margin-top: 15px;
}

.therapist-list li {
    margin-bottom: 6px;
}

.carousel-control-prev,
.carousel-control-next {
    width: 30px;
    height: 30px;
    margin-top: 150px;
    border-radius: 50%;
    transform: translateY(-50%);
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    filter: invert(1);
}

.services {
    background: #f8f9fb;
}

.service-card {
    display: flex;
    flex-direction: column;
    height: 100%;
    background: #fff;
    border-radius: 16px;
    overflow: hidden;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08);
    transition: 0.3s;
}

.service-card:hover {
    transform: translateY(-5px);
}

.service-card img {
    width: 100%;
    height: 220px;
    object-fit: cover;
}

.card-body {
    padding: 20px;
}

.card-body .btn-outline-primary {
    border: 1px solid #F97316;
    color: #F97316;
    font-weight: 500;
    border-radius: 15px;
}

.card-body .btn-register {
    background-color: #F97316;
    color: #ffffff;
    font-weight: 500;
    border-radius: 15px;
}

.card-body .title {
    font-size: 18px;
    font-weight: 600;
}

.card-body p {
    font-size: 14px;
    color: #666;
}

.btn-group-custom {
    margin-top: 15px;
    display: flex;
    justify-content: center;
    gap: 10px;
}

.contact-section {
    background: #f4f6fb;
}

.contact-img {
    max-width: 90%;
}

.contact-card {
    background: #fff;
    padding: 30px;
    border-radius: 16px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08);
}

.contact-card h4 {
    font-weight: 700;
    color: #1e3a8a;
}

.subtitle {
    font-size: 14px;
    color: #5e5e5e;
}

.form-control {
    border-radius: 10px;
    border: 1px solid #e5e7eb;
    padding: 10px 15px;
    font-size: 14px;
}

.btn-contact {
    background-color: #F97316 !important;
    color: #ffffff !important;
    font-weight: 500 !important;
    border-radius: 20px !important;
}

.btn-primary:hover {
    background: #e9690e;
}

.schedule {
    background: #fff;
}

.schedule-card {
    background: #fff;
    border-radius: 16px;
    overflow: hidden;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08);
    transition: 0.3s;
}

.schedule-card:hover {
    transform: translateY(-5px);
}

.schedule-card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.swiper {
    margin: auto;
}

.swiper-slide img {
    width: 100%;
    height: 300px;
    object-fit: cover;
    border-radius: 16px;
}

.location {
    position: relative;
    background: #fff;
}

.address {
    color: #444;
    max-width: 500px;
}

.map-wrapper iframe {
    border-radius: 16px;
    width: 100%;
    height: 350px;
}

.hero {
    position: relative;
    background: #F9FAFB;
    padding: 80px 20px;
    overflow: hidden;
}

.shape-1 {
    position: absolute;
    width: 300px;
    height: 300px;
    background: #F97316;
    border-radius: 50%;
    top: 20%;
    left: -100px;
    opacity: 0.1;
}

.shape-2 {
    position: absolute;
    width: 250px;
    height: 250px;
    background: #60A5FA;
    border-radius: 50%;
    top: 0;
    right: -80px;
    opacity: 0.1;
}

.hero-container {
    max-width: 1200px;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 50px;
}

.hero-image {
    position: relative;
    transform: translateX(-40px) scale(1.1);
    width: 50%;
}

.hero-image img {
    width: 100%;
    border-radius: 20px;
    position: relative;
    z-index: 2;
}

.image-bg {
    position: absolute;
    width: 100%;
    height: 100%;
    background: #60A5FA;
    border-radius: 50%;
    top: -20px;
    left: -20px;
    z-index: 1;
}

.hero-content {
    width: 50%;
}

.hero-content h1 {
    font-size: 42px;
    font-weight: 700;
    color: #1F2937;
    line-height: 1.3;
}

.hero-content h1 span {
    color: #F97316;
}

.btn-hero {
    padding: 10px 25px !important;
    font-weight: 600 !important;
    border-radius: 25px !important;
    background-color: #F97316 !important;
}

.hero-content p {
    margin: 20px 0;
    color: #6B7280;
    line-height: 1.6;
}

.btn-primary {
    display: inline-block;
    background: #F97316;
    color: #fff;
    padding: 12px 24px;
    border-radius: 999px;
    text-decoration: none;
    font-weight: 500;
    transition: 0.3s;
}

.btn-primary:hover {
    background: #EA580C;
}

.hero-shape {
    position: absolute;
    bottom: -50px;
    right: -100px;
    width: 400px;
    height: 200px;
    background: #60A5FA;
    border-radius: 100px 0 0 0;
    opacity: 0.1;
}

.swiper-button-next::after,
.swiper-button-prev::after {
    color: #000000 !important;
    font-size: 30px !important;
}

.gallery .btn-gallery {
    background-color: #F97316 !important;
    color: #ffffff !important;
    margin-top: 15px;
    border-radius: 20px;
    font-weight: 500 !important;
}

@media (max-width: 992px) {

    .desktop-menu,
    .cta-btn {
        display: none;
    }

    .hamburger {
        display: block;
    }

    .contact-card {
        margin: 0 auto;
    }

    .title,
    .subtitle,
    .address {
        text-align: center;
    }
}

@media (max-width: 768px) {
    .hero-content h1 {
        font-size: 28px;
    }

    h2,
    h3,
    h4,
    h5 {
        font-size: 18px !important;
    }

    p,
    ul li {
        font-size: 13px !important;
    }

    ul li {
        margin-left: -10px !important;
    }

    .hero-container {
        flex-direction: column;
        text-align: center;
    }

    .shape-1 {
        width: 130px;
        height: 130px;
    }

    .shape-2 {
        width: 90px;
        height: 90px;
    }

    .hero-image,
    .hero-content {
        width: 100%;
    }

    .image-bg {
        top: -10px;
        left: -10px;
    }

    .why-card {
        flex-direction: row;
    }

    .why-card .title {
        font-size: 16px;
    }

    .about-section {
        padding: 40px 0 50px 0;
    }

    .about-text {
        padding-left: 0;
        margin-top: 40px;
        text-align: left;
    }

    .img-main img {
        width: 80%;
        display: block;
        margin: auto;
    }

    .img-overlay {
        position: relative;
        width: 80%;
        right: 0;
        bottom: 0;
        margin-top: -50px;
    }

    .btn-about {
        margin: auto;
        margin-top: 10px;
        padding: 5px 15px;
    }

    .about-section button {
        display: block;
        border: 2px solid #F97316;
        color: #F97316;
    }

    .about-section a {
        background-color: #F97316;
        color: #fff
    }

    .cooperation img {
        width: 50% !important;
        display: block;
        margin: auto;
    }

    .vision-section {
        padding: 30px 0;
    }

    .vision-section img {
        display: none;
    }

    .visi-box,
    .misi-box {
        max-width: 100%;
    }

    .card-body .title {
        font-size: 15px !important;
    }

    .carousel-control-prev,
    .carousel-control-next {
        width: 20px !important;
        height: 20px !important;
        margin-top: 70px;
    }

    .therapist-img {
        width: 100px;
        height: 100px;
    }

    .therapist-name {
        font-size: 18px;
    }

    .button-wa {
        right: 0;
    }

    .button-wa a {
        padding: 4px 0 7px 12px;
    }

    .button-wa .popup-cta {
        margin: auto;
        margin-bottom: 10px;
        width: 95%;
    }

    .button-wa .popup-cta .admin-item {
        gap: 7px;
    }

    .button-wa .popup-cta .popup-text {
        padding: 5px;
    }

    .button-wa .popup-cta .popup-text p,
    .button-wa .popup-cta .admin-item span,
    .button-wa span {
        font-size: 12px;
    }

    .button-wa .popup-cta .admin-item img,
    .button-wa img {
        width: 55px;
    }

    .partners {
        justify-content: center;
    }

    .footer-bottom .container {
        flex-direction: column;
        text-align: center;
        gap: 10px;
    }

    .service-card img {
        height: 160px;
    }

    .schedule-card img {
        height: 100%;
    }
}

/* Gallery Page */
.gallery-hero-section {
    position: relative;
    height: 90vh;
    background: url('../images/gallery/4.webp') center/cover no-repeat;
    overflow: hidden;
}

.gallery-hero-section .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.45);
    z-index: 1;
}

.gallery-hero-section .content {
    position: relative;
    z-index: 2;
    max-width: 700px;
}

.gallery-hero-section .hero-title {
    font-size: 3rem;
    font-weight: 600;
    letter-spacing: 1px;
}

.gallery-hero-section .hero-subtitle {
    font-size: 1.1rem;
    opacity: 0.85;
}

.gallery-hero-section .btn-light {
    border-radius: 50px;
    font-weight: 500;
    transition: all 0.3s ease;
}

.gallery-hero-section .btn-light:hover {
    background-color: #000;
    color: #fff;
    border: 1px solid #fff;
}

.facility-card,
.activity-card {
    overflow: hidden;
    border-radius: 12px;
}

.facility-card img,
.activity-card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    transition: transform 0.4s ease;
}

.facility-card:hover img,
.activity-card:hover img {
    transform: scale(1.05);
}

@media (max-width: 768px) {
    .gallery-hero-section .hero-title {
        font-size: 2rem;
    }

    .gallery-hero-section .hero-subtitle {
        font-size: 0.9rem;
    }
}

/* Services Page */
.services-hero-section {
    position: relative;
    height: 90vh;
    background: url('../images/contact-section.webp') center/cover no-repeat;
    overflow: hidden;
}

.services-hero-section .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.45);
    z-index: 1;
}

.services-hero-section .content {
    position: relative;
    z-index: 2;
    max-width: 700px;
}

.services-hero-section .hero-title {
    font-size: 3rem;
    font-weight: 600;
    letter-spacing: 1px;
}

.services-hero-section .hero-subtitle {
    font-size: 1.1rem;
    opacity: 0.85;
}

.services-hero-section .btn-light {
    border-radius: 50px;
    font-weight: 500;
    transition: all 0.3s ease;
}

.services-hero-section .btn-light:hover {
    background-color: #000;
    color: #fff;
    border: 1px solid #fff;
}

@media (max-width: 768px) {
    .services-hero-section .hero-title {
        font-size: 2rem;
    }

    .services-hero-section .hero-subtitle {
        font-size: 0.9rem;
    }
}